View Issue Details

IDProjectCategoryView StatusLast Update
0022491LazarusLCLpublic2014-03-11 08:35
ReporterScottAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.4Product Build 
Target VersionFixed in Version1.2.0 
Summary0022491: ColorDialog.Title not used as ColorDialog Title
DescriptionI used a ColorButton and assigned it the ColorDialog that I had placed on the form. I tested that the custom dialog was being used by using the ColorDialog's OnShow event. The ColorButton shows the selected ColorDialog as expected, but the title is not set to the Title property setting.


Additional InformationI can confirm this behavior on:

Windows XP Professional (32-bit)

**********

Power Mac G5
Mac OS X Leopard v10.5.8
XCode v3.1.3
fpc-2.6.0.powerpc-macosx
fpcsrc-2.6.0.powerpc-macosx
TagsCarbon, TColorDialog, win32
Fixed in Revisionr43650
LazTarget-
WidgetsetWin32/Win64, Carbon
Attached Files

Activities

2012-07-23 06:46

 

ColorDialog.zip (127,386 bytes)

2012-07-23 06:46

 

ColorDialogWin1.png (13,753 bytes)
ColorDialogWin1.png (13,753 bytes)

2012-07-23 06:46

 

ColorDialogWin2.png (9,158 bytes)
ColorDialogWin2.png (9,158 bytes)

2012-07-23 06:46

 

ColorDialogMac1.png (10,991 bytes)
ColorDialogMac1.png (10,991 bytes)

2012-07-23 06:46

 

ColorDialogMac2.png (22,103 bytes)
ColorDialogMac2.png (22,103 bytes)

Bart Broersma

2012-07-23 21:53

developer   ~0061192

Confirmed on Lazarus 1.1 r37908 FPC 2.6.0 i386-win32-win32/win64

As to MacOS X: the restriction browser shows that TColorDialog.Title cannot be set (as does the Restrictions Tab of the ObjectInspector).
If I understand the reference page on msdn (http://msdn.microsoft.com/en-us/library/windows/desktop/ms646912%28v=vs.85%29.aspx), than the title of this dialog also cannot be set on Windows?
If this is indeed the case, the restriction browser (and the Restrictions Tab in OI) needs updating.

Bart Broersma

2012-07-26 21:20

developer   ~0061254

Last edited: 2013-11-20 16:42

View 2 revisions

(FWIW: At least Delphi 3 doesn't have a Title property for TColorDialog)
(Neither does D7, and I cannot find it on Embarcadero's DocWiki)

wp

2013-11-20 17:33

developer   ~0071435

Nor has XE2.

Bart Broersma

2013-12-07 14:06

developer   ~0071804

Should we make the Title property deprecated?
Or add it to restriction browser/tab?

Bart Broersma

2013-12-30 01:02

developer   ~0072093

Last edited: 2014-01-05 16:30

View 2 revisions

Is there any widgetset in which Title can be set?

[Edit] Yes: on GTK2/Linux at least.

Bart Broersma

2014-01-05 16:51

developer   ~0072225

It will now show in restriction browser.
Please close.

Issue History

Date Modified Username Field Change
2012-07-23 06:45 Scott New Issue
2012-07-23 06:45 Scott Widgetset => Win32/Win64, Carbon
2012-07-23 06:46 Scott File Added: ColorDialog.zip
2012-07-23 06:46 Scott File Added: ColorDialogWin1.png
2012-07-23 06:46 Scott File Added: ColorDialogWin2.png
2012-07-23 06:46 Scott File Added: ColorDialogMac1.png
2012-07-23 06:46 Scott File Added: ColorDialogMac2.png
2012-07-23 06:58 Scott Tag Attached: Carbon
2012-07-23 06:58 Scott Tag Attached: win32
2012-07-23 06:58 Scott Tag Attached: TColorDialog
2012-07-23 21:53 Bart Broersma LazTarget => -
2012-07-23 21:53 Bart Broersma Note Added: 0061192
2012-07-23 21:53 Bart Broersma Status new => confirmed
2012-07-26 21:20 Bart Broersma Note Added: 0061254
2013-11-20 16:42 Bart Broersma Note Edited: 0061254 View Revisions
2013-11-20 17:33 wp Note Added: 0071435
2013-12-07 14:06 Bart Broersma Note Added: 0071804
2013-12-30 01:02 Bart Broersma Note Added: 0072093
2014-01-05 16:30 Bart Broersma Note Edited: 0072093 View Revisions
2014-01-05 16:51 Bart Broersma Fixed in Revision => r43650
2014-01-05 16:51 Bart Broersma Note Added: 0072225
2014-01-05 16:51 Bart Broersma Status confirmed => resolved
2014-01-05 16:51 Bart Broersma Fixed in Version => 1.2.0
2014-01-05 16:51 Bart Broersma Resolution open => fixed
2014-01-05 16:51 Bart Broersma Assigned To => Bart Broersma
2014-03-11 08:35 Bart Broersma Status resolved => closed